> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Accept Quote

> Accept a quote stage (change status to accepted).



## OpenAPI

````yaml /api/openapi-cutmake.json put /api/v1/quotes/{quote_id}/accept
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /api/v1/quotes/{quote_id}/accept:
    put:
      tags:
        - Quotes
      summary: Accept Quote
      description: Accept a quote stage (change status to accepted).
      operationId: accept_quote_api_v1_quotes__quote_id__accept_put
      parameters:
        - name: quote_id
          in: path
          required: true
          schema:
            type: string
            title: Quote Id
        - name: stage_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Stage Id
        - name: X-Org-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Org-Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QuoteResponse'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    QuoteResponse:
      properties:
        id:
          type: string
          title: Id
        rfqId:
          anyOf:
            - type: string
            - type: 'null'
          title: Rfqid
        costSheetId:
          anyOf:
            - type: string
            - type: 'null'
          title: Costsheetid
        costSheetVersion:
          anyOf:
            - type: integer
            - type: 'null'
          title: Costsheetversion
        orgId:
          type: string
          title: Orgid
        supplierId:
          anyOf:
            - type: string
            - type: 'null'
          title: Supplierid
        supplierName:
          anyOf:
            - type: string
            - type: 'null'
          title: Suppliername
        clientId:
          anyOf:
            - type: string
            - type: 'null'
          title: Clientid
        clientName:
          anyOf:
            - type: string
            - type: 'null'
          title: Clientname
        createdById:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdbyid
        createdByName:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdbyname
        createdByEmail:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdbyemail
        orderQuantity:
          anyOf:
            - type: number
            - type: 'null'
          title: Orderquantity
        totalAmount:
          type: number
          title: Totalamount
        currency:
          type: string
          title: Currency
        status:
          type: string
          title: Status
        validityDate:
          anyOf:
            - type: string
            - type: 'null'
          title: Validitydate
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        lineItems:
          items:
            $ref: '#/components/schemas/QuoteLineItemResponse'
          type: array
          title: Lineitems
        stageId:
          anyOf:
            - type: string
            - type: 'null'
          title: Stageid
        stageKey:
          anyOf:
            - type: string
            - type: 'null'
          title: Stagekey
        stageLabel:
          anyOf:
            - type: string
            - type: 'null'
          title: Stagelabel
        activeStageId:
          anyOf:
            - type: string
            - type: 'null'
          title: Activestageid
        stages:
          items:
            $ref: '#/components/schemas/QuoteStageSummary'
          type: array
          title: Stages
        versionId:
          anyOf:
            - type: string
            - type: 'null'
          title: Versionid
        versionNumber:
          type: integer
          title: Versionnumber
          default: 1
        currentVersion:
          type: integer
          title: Currentversion
          default: 1
        finalVersion:
          anyOf:
            - type: integer
            - type: 'null'
          title: Finalversion
        changeDescription:
          anyOf:
            - type: string
            - type: 'null'
          title: Changedescription
        isFinal:
          type: boolean
          title: Isfinal
          default: false
        finalizedAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Finalizedat
        finalizedById:
          anyOf:
            - type: string
            - type: 'null'
          title: Finalizedbyid
        versionHistory:
          items:
            $ref: '#/components/schemas/QuoteVersionSummary'
          type: array
          title: Versionhistory
        createdAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdat
        updatedAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Updatedat
        picture:
          anyOf:
            - type: string
            - type: 'null'
          title: Picture
      type: object
      required:
        - id
        - orgId
        - totalAmount
        - currency
        - status
      title: QuoteResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    QuoteLineItemResponse:
      properties:
        id:
          type: string
          title: Id
        quoteId:
          type: string
          title: Quoteid
        quoteVersionId:
          anyOf:
            - type: string
            - type: 'null'
          title: Quoteversionid
        description:
          type: string
          title: Description
        category:
          type: string
          title: Category
        quantity:
          type: number
          title: Quantity
        unitPrice:
          type: number
          title: Unitprice
        amount:
          type: number
          title: Amount
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        unit:
          anyOf:
            - type: string
            - type: 'null'
          title: Unit
        originalQuantity:
          anyOf:
            - type: number
            - type: 'null'
          title: Originalquantity
        originalUnitPrice:
          anyOf:
            - type: number
            - type: 'null'
          title: Originalunitprice
        groupedItems:
          anyOf:
            - items:
                $ref: '#/components/schemas/QuoteLineItemGroupedRow'
              type: array
            - type: 'null'
          title: Groupeditems
        createdAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdat
      type: object
      required:
        - id
        - quoteId
        - description
        - category
        - quantity
        - unitPrice
        - amount
      title: QuoteLineItemResponse
    QuoteStageSummary:
      properties:
        id:
          type: string
          title: Id
        quoteId:
          type: string
          title: Quoteid
        stageKey:
          type: string
          title: Stagekey
        stageLabel:
          anyOf:
            - type: string
            - type: 'null'
          title: Stagelabel
        sortOrder:
          type: integer
          title: Sortorder
          default: 0
        currentVersion:
          type: integer
          title: Currentversion
          default: 1
        finalVersion:
          anyOf:
            - type: integer
            - type: 'null'
          title: Finalversion
        status:
          type: string
          title: Status
          default: draft
        totalAmount:
          type: number
          title: Totalamount
          default: 0
        currency:
          type: string
          title: Currency
          default: USD
        costSheetVersion:
          anyOf:
            - type: integer
            - type: 'null'
          title: Costsheetversion
        lineItems:
          items:
            $ref: '#/components/schemas/QuoteLineItemResponse'
          type: array
          title: Lineitems
      type: object
      required:
        - id
        - quoteId
        - stageKey
      title: QuoteStageSummary
    QuoteVersionSummary:
      properties:
        id:
          type: string
          title: Id
        quoteId:
          type: string
          title: Quoteid
        versionNumber:
          type: integer
          title: Versionnumber
        changeDescription:
          anyOf:
            - type: string
            - type: 'null'
          title: Changedescription
        status:
          type: string
          title: Status
        totalAmount:
          type: number
          title: Totalamount
        currency:
          type: string
          title: Currency
        isFinal:
          type: boolean
          title: Isfinal
          default: false
        finalizedAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Finalizedat
        finalizedById:
          anyOf:
            - type: string
            - type: 'null'
          title: Finalizedbyid
        createdAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdat
        updatedAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Updatedat
      type: object
      required:
        - id
        - quoteId
        - versionNumber
        - status
        - totalAmount
        - currency
      title: QuoteVersionSummary
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    QuoteLineItemGroupedRow:
      properties:
        key:
          type: string
          title: Key
        name:
          type: string
          title: Name
        category:
          type: string
          title: Category
        amount:
          type: number
          title: Amount
        quantity:
          anyOf:
            - type: number
            - type: 'null'
          title: Quantity
        unit:
          anyOf:
            - type: string
            - type: 'null'
          title: Unit
        unitPrice:
          anyOf:
            - type: number
            - type: 'null'
          title: Unitprice
      type: object
      required:
        - key
        - name
        - category
        - amount
      title: QuoteLineItemGroupedRow
      description: A cost-sheet row bundled under a custom-named quotation line item.
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````